Welcome Mavic Pilot!
Jump in and join our free DJI Mavic community today!
Sign up

rollback litchi

  1. Qoncussion

    Where can I find an older version of Litchi?

    I'm running Go4 .7, with .700 on my Mavic. I accidentally upgraded my Litchi app, and now it won't connect. I tried finding a version on APKMirror - but no luck. Anyone know where I can find an older version of Litchi?